import 'package:json_annotation/json_annotation.dart';
import 'package:location/base/app_base_request.dart';

part 'request_friendlist_request.g.dart';

@JsonSerializable()
class RequestFriendListRequest extends AppBaseRequest {
  @JsonKey(name: 'offset')
  int? offset;

  @JsonKey(name: 'limit')
  int? limit;

  @JsonKey(name: 'after')
  int? after;

  @JsonKey(name: 'before')
  int? before;

  RequestFriendListRequest({this.offset, this.limit, this.after, this.before});

  factory RequestFriendListRequest.fromJson(Map<String, dynamic> json) =>
      _$RequestFriendListRequestFromJson(json);

  @override
  Map<String, dynamic> toJson() => _$RequestFriendListRequestToJson(this);
}
